# List account IPs - detailed view

List IPs belonging to the account and subaccounts. For IPs linked to subaccounts, there will be an additional record returned per subaccount
The detailed IP view feature must be enabled for the account.

Endpoint: GET /v3/ips/details/all
Version: 3.0.0
Security: basicAuth

## Query parameters:

  - `limit` (integer)
    Maximum records to return

  - `skip` (integer)
    The amount of returned records to skip

  - `pool_id` (string)
    Filter IPs linked to a pool. Value can be a specific pool ID, 'any' or 'none'

  - `domain_id` (string)
    Filter IPs linked to a domain. Value can be a specific domain ID, 'any' or 'none'

  - `subaccount_id` (string)
    Filter IPs linked to a subaccount. Value can be a specific subaccount ID, 'any' or 'none'

  - `ip` (string)
    Search for IPs containing this text (supports partial matching)

  - `sort_by` (string)
    Name of the field to sort results by

  - `sort_order` (string)
    Sort results 'descending' or 'ascending'

## Response 200 fields (application/json):

  - `items` (array, required)
    list of IPs belonging to the account and subaccounts

  - `items.address` (string, required)
    the IP address

  - `items.parent_account_id` (string, required)
    the id of the parent account

  - `items.account_id` (string, required)
    the id of the account

  - `items.pool_ids` (array, required)
    list of pool ids

  - `items.dedicated` (boolean, required)
    whether the IP is dedicated

  - `items.created_at` (string)
    the time the IP was created

  - `items.pool_last_modified_at` (string, required)
    the last time the pool was modified

  - `items.domains_last_modified_at` (string, required)
    the last time the domains were modified

  - `total_count` (integer, required)
    total number of account IPs

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 403 fields (application/json):

  - `message` (string, required)
    Response message


